# TDirectionSampler Class Reference

List of all members.

## Classes
struct | GridSample
## Public Member Functions
| TDirectionSampler (const int32 quality)
| ~TDirectionSampler ()
int32 | GetQuality () const
void | ReInit ()
## Protected Member Functions
virtual void | SampleArea (const TMCPoint &position, int32 level, const real threshold)
virtual void | SampleGrid ()
TMCColorRGBA | AverageLighting ()
virtual void | SampleDirection (const TMCPoint &position)=0
GridSample & | GetSample (const TMCPoint &position)
int32 | GetSampleOffset (const TMCPoint &position)
void | InterpolateOrSample (const TMCPoint &position, const int32 leftSampleOffset, const int32 rightSampleOffset, const real threshold)
virtual void | InterpolateColor (const TMCPoint &position, int32 size)
virtual void | AverageColor (const int32 sampleOffset, const int32 leftSampleOffest, const int32 rightSampleOffest)
## Protected Attributes
int32 | fMaxDepth
TMCClassArray< GridSample > | fGrid
TMCArray< boolean > | fHasBeenSampled
int32 | fSamplePerLine
real | fDeltaX
real | fDeltaY
int32 | fQuality

## Constructor & Destructor Documentation

TDirectionSampler::TDirectionSampler | ( | const int32 | quality | ) |

TDirectionSampler::~TDirectionSampler | ( |  | ) |

## Member Function Documentation

virtual void TDirectionSampler::AverageColor | ( | const int32 | sampleOffset,
|  | const int32 | leftSampleOffest,
|  | const int32 | rightSampleOffest |
| ) |  |  | `[protected, virtual]`

TMCColorRGBA TDirectionSampler::AverageLighting | ( |  | ) | `[protected]`

int32 TDirectionSampler::GetQuality | ( |  | ) | const`[inline]`

GridSample& TDirectionSampler::GetSample | ( | const TMCPoint & | position | ) | `[inline, protected]`

int32 TDirectionSampler::GetSampleOffset | ( | const TMCPoint & | position | ) | `[inline, protected]`

virtual void TDirectionSampler::InterpolateColor | ( | const TMCPoint & | position,
|  | int32 | size |
| ) |  |  | `[protected, virtual]`

void TDirectionSampler::InterpolateOrSample | ( | const TMCPoint & | position,
|  | const int32 | leftSampleOffset,
|  | const int32 | rightSampleOffset,
|  | const real | threshold |
| ) |  |  | `[protected]`

void TDirectionSampler::ReInit | ( |  | ) |

virtual void TDirectionSampler::SampleArea | ( | const TMCPoint & | position,
|  | int32 | level,
|  | const real | threshold |
| ) |  |  | `[protected, virtual]`

virtual void TDirectionSampler::SampleDirection | ( | const TMCPoint & | position | ) | `[protected, pure virtual]`

virtual void TDirectionSampler::SampleGrid | ( |  | ) | `[protected, virtual]`

## Member Data Documentation

real TDirectionSampler::fDeltaX`[protected]`

real TDirectionSampler::fDeltaY`[protected]`

TMCClassArray< GridSample > TDirectionSampler::fGrid`[protected]`

TMCArray<boolean> TDirectionSampler::fHasBeenSampled`[protected]`

int32 TDirectionSampler::fMaxDepth`[protected]`

int32 TDirectionSampler::fQuality`[protected]`

int32 TDirectionSampler::fSamplePerLine`[protected]`

The documentation for this class was generated from the following file:

- DirectionSampler.h